﻿.index-products-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
}
.index-products-all-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    box-sizing: border-box;
    padding: 20px 0;
}
.index-products-title-box{
    position: relative;
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding-bottom: 18px;
}
.index-products-title-box h2{
    font-size: 38px;
    font-family: 'Noto Sans TC';
    font-weight: 700;
    letter-spacing: 0.2em;
    line-height: 1;
    color: #000;
    display: inline-block;
    vertical-align: bottom;
    position: relative;
    z-index: 1;
}
.index-products-title-box p{
    width: 120px;
    line-height: 28px;
    text-align: center;
    box-sizing: border-box;
    background-color: #e50516;
    font-size: 18px;
    color: #fff;
    font-family: 'Noto Sans TC';
    letter-spacing: 0.2em;
    padding-left: 0.2em;
    display: inline-block;
    vertical-align: bottom;
    margin-left: 40px;
    position: relative;
    z-index: 1;
}
.index-products-title-box::after{
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 30px;
    background-color: #fbf6f6;
}
.index-products-info-box{
    padding: 60px 0;
    box-sizing: border-box;
}
.index-products-info{
    width: 200px;
    display: inline-block;
    vertical-align: top;
    margin-right: 50px;
}
.index-products-info:nth-child(5n){
    margin-right: 0;
}
.index-products-info:nth-child(n + 6){
    margin-top: 60px;
}
.index-products-info-img{
    width: 100%;
    height: 280px;
    display: block;
    overflow: hidden;
    position: relative;
    transition: all .3s linear;
}
.index-products-info-title{
    font-size: 16px;
    letter-spacing: 0.06em;
    color: #000;
    font-weight: 700;
    font-family: 'Noto Sans TC';
    text-align: center;
    margin-top: 15px;
    height: 50px;
    overflow : hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.index-products-info-writer{
    font-size: 14px;
    letter-spacing: 0.06em;
    color: #666;
    font-family: 'Noto Sans TC';
    text-align: center;
}
.index-products-info-shoppingCart{
    width: 26px;
    display: inline-block;
    vertical-align: middle;
    background-color: #e50516;
    font-size: 14px;
    letter-spacing: 0.06em;
    line-height: 26px;
    color: #fff;
    text-align: center;
    border-radius: 5px;
    margin-left: 5px;
    opacity: 0.7;
    cursor: pointer;
    transition: all .3s linear;
}
.index-products-info-price-old{
    width: 100%;
    display: block;
    text-align: center;
    margin-top: 10px;
}
.index-products-info-price-old>span{
    font-family: 'Roboto';
    font-size: 16px;
    letter-spacing: 0.06em;
    line-height: 26px;
    color: #666;
    display: inline-block;
    vertical-align: middle;
    text-decoration: line-through;
}
.index-products-info-price-old>p{
    font-family: 'Roboto';
    font-weight: 700;
    font-size: 16px;
    line-height: 26px;
    letter-spacing: 0.06em;
    color: #666;
    display: inline-block;
    vertical-align: middle;
    text-decoration: line-through;
}
.index-products-info-price{
    width: 100%;
    display: block;
    text-align: center;
}
.index-products-info-price>span{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 18px;
    line-height: 30px;
    letter-spacing: 0.06em;
    color: #e50516;
    display: inline-block;
    vertical-align: middle;
}
.index-products-info-price>p{
    max-width: calc(100% - 44px);
    font-family: 'Roboto';
    font-weight: 700;
    font-size: 18px;
    line-height: 26px;
    letter-spacing: 0.06em;
    color: #e50516;
    display: inline-block;
    vertical-align: bottom;
    margin-left: 5px;
}




@media only screen and (max-width: 1200px){
    .index-products-all-box{
        width: 1000px;
    }
    .index-products-info-box{
        padding: 40px 0;
    }
    .index-products-info {
        width: 180px;
        margin-right: 25px;
    }
    .index-products-info:nth-child(n + 6) {
        margin-top: 40px;
    }
    .index-products-info-img{
        height: calc((280 / 200) * 180px);
    }
}
@media only screen and (max-width: 1000px){
    .index-products-all-box{
        width: 750px;
    }
    .index-products-info:nth-child(n){
        margin-right: 10px;
        margin-top: 0;
    }
    .index-products-info:nth-child(4n) {
        margin-right: 0;
    }
    .index-products-info:nth-child(n + 5) {
        margin-top: 40px;
    }
}
@media only screen and (max-width: 768px){
    .index-products-all-box{
        width: 550px;
    }
    .index-products-info-box{
        padding: 20px 0;
    }
    .index-products-info:nth-child(n){
        width: 270px;    
        margin-right: 10px;
        margin-top: 0;
    }
    .index-products-info:nth-child(2n) {
        margin-right: 0;
    }
    .index-products-info:nth-child(n + 3) {
        margin-top: 20px;
    }
    .index-products-info-img{
        height: calc((280 / 200) * 270px);
    }
    .index-products-info-title{
        margin-top: 5px;
    }
}
@media only screen and (max-width: 550px){
    .index-products-all-box{
        width: 95vw;
    }
    .index-products-info:nth-child(n){
        width: calc((95vw - 10px) / 2);    
        margin-right: 10px;
        margin-top: 0;
    }
    .index-products-info:nth-child(2n) {
        margin-right: 0;
    }
    .index-products-info:nth-child(n + 3) {
        margin-top: 20px;
    }
    .index-products-info-img{
        height: calc((280 / 200) * ((95vw - 10px) / 2));
    }
    .index-products-info-title{
        margin-top: 5px;
    }
    .index-products-title-box h2{
        font-size: 22px;
        letter-spacing: 0.1em;
    }
    .index-products-title-box p{
        font-size: 14px;
        margin-left: 20px;
        width: 70px;
        letter-spacing: 0.1em;
        padding-left: 0.1em;
        line-height: 20px;
    }
    .index-products-title-box{
        padding-bottom: 10px;
    }
    .index-products-title-box::after{
        height: 20px;
    }
    .index-products-info-title{
        font-size: 14px;
        height: 44px;
    }
    .index-products-info-writer{
        font-size: 12px;
    }
    .index-products-info-price-old{
        margin-top: 5px;
    }
    .index-products-info-price-old>span,
    .index-products-info-price-old>p{
        font-size: 14px;
        line-height: 20px;
    }
    .index-products-info-price>span,
    .index-products-info-price>p{
        font-size: 14px;
        line-height: 20px;
    }
    .index-products-info-shoppingCart{
        width: 50px;
        font-size: 12px;
        line-height: 30px;
        display: block;
        margin: 0 auto;
        margin-top: 5px;
    }
}




@media only screen and (min-width: 769px){
    .index-products-info:hover .index-products-info-img{
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.35);
    }
    .index-products-info:hover .main-bg{
        transform: scale(1.1);
    }
    .index-products-info-shoppingCart:hover{
        opacity: 1;
    }

    
    .index-products-title-box.anima::after{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .index-products-title-box.anima h2{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .index-products-title-box.anima p{
        animation: fadeInRight 1s ease .5s 1 both;
    }
    .index-products-info.anima{
        animation: fadeInUp 1s ease .5s 1 both;
    }
    .index-products-title-box::after,
    .index-products-title-box h2,
    .index-products-title-box p,
    .index-products-info{
        opacity: 0;
    }
}